BloomreachRecommendationsPathwaysGeneratedApiPersonalizationBasedWidgetApiRequest
Request parameters for personalizationBasedWidgetApi operation in BloomreachRecommendationsPathwaysGeneratedApi.
interface BloomreachRecommendationsPathwaysGeneratedApiPersonalizationBasedWidgetApiRequest {
readonly accountId: number;
readonly brUid2: string;
readonly domainKey: string;
readonly fields?: string;
readonly filter?: string;
readonly query: string;
readonly refUrl?: string;
readonly requestId: string;
readonly rows?: number;
readonly url: string;
readonly userId: string;
readonly viewId?: string;
readonly widgetId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
accountId | Required | number | Your site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. The example value shown here, <i>6276</i>, is included for your convenience to send a request with <b>Try It</b>. |
brUid2 | Required | string | A first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device. Use the default value provided, which is already encoded. |
domainKey | Required | string | Your site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when one account ID hosts multiple site versions with unique characteristics, such as language versions. The example value shown here, <i>bloomreach_devdocs</i>, is included for your convenience to send a request with <b>Try It</b>. |
fields | Optional | string | A comma-separated list of fields to be sent in the request. Alternatively, you may configure the fields in the Widget Configurator in the Dashboard instead. This parameter is required if not sent via the Dashboard. |
filter | Optional | string | The filter parameter applies a faceted filter to the returned products, searching for products that fit your parameter values. Any facet that you want to filter must be in your feed. Attributes must be enabled and mapped by Bloomreach. Let your Bloomreach representative know which attributes in your content feed you want to apply as filters to search results. You can filter results based on numeric ranges. For example, `&filter=(price:["100" TO ""])`. Note that a negative filter on ranges isn't supported. To provide multiple filters, send multiple filter parameters. For example, `&filter=(price:["" TO "100"])&filter=(color_groups: ("blue"))`. |
query | Required | string | Your site visitor's search query. Search queries are composed of one or more terms. You can percent encode spaces between terms as `%20`, or you can leave the spaces unencoded. The example value shown here, <i>cable</i>, is included for your convenience to send a request with <b>Try It</b>. |
refUrl | Optional | string | The URL of the page or HTTP referrer where the request is started. Required if you want to use Targeting. |
requestId | Required | string | An ID to track site visitor clicks. We recommend that you generate unique, random values of 13 digits to enable click-tracking. The `request_id` is also important for debugging. |
rows | Optional | number | The number of matching items to return per results page in the API response. The maximum value is 200. The result size is used from the Dashboard if it isn't sent in the API. To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results. |
url | Required | string | The absolute URL of the page where the request is initiated. Don't use a relative URL. The example value shown here, <i>https://www.documentation-site.com</i>, is included for your convenience to send a request with <b>Try It</b>. |
userId | Required | string | The universal customer ID of the user. Required for Personalization-based widgets. The parameter captures user IDs from the customer side and reuses the information when powering apps or enhancing cross-device linking. This way, Bloomreach recognizes users in a way that's aligned with your system. Use an anonymous string. Don't use email or other personally identifiable information. The example value shown here, <i>abc123</i>, is included for your convenience to send a request with <b>Try It</b>. |
viewId | Optional | string | A unique identifier for a specific view of your product catalog. If you have multiple versions of your site, each with its own product catalog characteristics like product titles and prices, then add `view_id` to your call. Bloomreach uses your `view_id` parameter value to display the right product information for your customers based on their individual site views. You can enter any string value to identify the specific site catalog view. This string must be consistent in your pixel, API, and product catalog. |
widgetId | Required | string | The ID of the widget, which can be found in the Widget Configurator in the Dashboard. The example value shown here, <i>1jwy7eg9</i>, is included for your convenience to send a request with <b>Try It</b>. |